Subject: Re: _argc & _argv
From: "Paul Garceau" <[email-masked]>
To: [email-masked]
Date: Wed, 2 Aug 2000 12:45:23 -0800

On 1 Aug 2000, at 23:09, the Illustrious Chris Faylor wrote:

> >Cygwin does try to
> stride two worlds and it is not always easy to see >the
> distinction between the Windows way and the UNIX way.  In
> >retrospect, I can't honestly say that we didn't implement __argv
> and >__argc because "They don't do things that way on Windows"
> because we
											        ^^^^^^^
>         											  UNIX.
> 

	Thank you.

> >have made other concessions to the Microsoft way of doing
> >things.

	I agree that the less concessions we must make to the MS way of 
doing things, the better off is the outcome.
> >
> >In this case the real answer as to why there is no __argv and
> >__argc is probably "Because no one thought to add it."

	I understand...

		I have implemented, within my rendering app (not Cygwin) a 
means to deal with argc and argv for Windows...basically I just 
added the definitions under an "ifdef __CYGWIN__"  Works fine 
now...thanks again for everyones time on this.

	Peace,

		Paul G.

Nothing real can be threatened.
    Nothing unreal exists.

--
Want to unsubscribe from this list?
Send a message to [email-masked]